Bug 1112247 - We lose sorting, when we edit some provisioning template.
Summary: We lose sorting, when we edit some provisioning template.
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: jmagen@redhat.com
QA Contact: jcallaha
URL: http://projects.theforeman.org/issues...
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-23 12:08 UTC by Martin Korbel
Modified: 2017-02-23 21:14 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-08-12 05:09:49 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC
Foreman Issue Tracker 5773 None None None 2016-04-22 16:05 UTC
Red Hat Bugzilla 1098704 None None None Never

Internal Trackers: 1098704

Description Martin Korbel 2014-06-23 12:08:14 UTC
Description of problem:
If we edit provisioning template, then we lose sorting and page number

Version-Release number of selected component (if applicable):
ruby193-rubygem-foreman_bootdisk-2.0.6-1.1.el6sat.noarch
foreman-gce-1.6.0.18-1.el6sat.noarch
foreman-libvirt-1.6.0.18-1.el6sat.noarch
katello-certs-tools-1.5.5-1.el6sat.noarch
foreman-postgresql-1.6.0.18-1.el6sat.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3-2.el6sat.noarch
foreman-ovirt-1.6.0.18-1.el6sat.noarch
ruby193-rubygem-foreman_discovery-1.3.0-0.1.rc2.el6sat.noarch
katello-1.5.0-26.el6sat.noarch
foreman-selinux-1.6.0-4.el6sat.noarch
katello-ca-consumer-sat6-rhel6.usersys.redhat.com-1.0-1.noarch
rubygem-hammer_cli_foreman-0.1.1-9.el6sat.noarch
foreman-1.6.0.18-1.el6sat.noarch
foreman-vmware-1.6.0.18-1.el6sat.noarch
ruby193-rubygem-foreman_hooks-0.3.5-2.el6sat.noarch
pulp-katello-0.3-3.el6sat.noarch
foreman-proxy-1.6.0.8-1.el6sat.noarch
katello-ca-1.0-1.noarch
sat6-rhel6.usersys.redhat.com-foreman-proxy-1.0-1.noarch
foreman-compute-1.6.0.18-1.el6sat.noarch
ruby193-rubygem-foreman-tasks-0.6.2-2.el6sat.noarch
sat6-rhel6.usersys.redhat.com-foreman-client-1.0-1.noarch
ruby193-rubygem-foreman-redhat_access-0.0.4-1.el6sat.noarch
rubygem-hammer_cli_katello-0.0.4-7.el6sat.noarch
ruby193-rubygem-katello-1.5.0-59.el6sat.noarch
katello-installer-0.0.49-1.el6sat.noarch

How reproducible:
100%

Steps to Reproduce:
1. open "Hosts" > "Provisioning Templates"
2. sort items by kind
3. goto page No. 2
4. open some template and press submit button

Actual results:
We are on the first page and we lose sorting. 

Expected results:
We should be on the first page and we lose sorting. 

Additional info:
When we reload page, all settings are back.

Comment 1 Dominic Cleal 2014-06-23 12:10:02 UTC
Handling via existing bug #5773 / bug #1098704.

Comment 2 RHEL Product and Program Management 2014-06-23 12:36:59 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 4 jmagen@redhat.com 2014-06-23 14:55:49 UTC
https://github.com/theforeman/foreman/pull/1521

Comment 5 Bryan Kearney 2014-11-12 11:02:20 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/5773 has been closed
-------------
Dominic Cleal
https://github.com/theforeman/foreman/pull/1521
-------------
Joseph Magen
Applied in changeset commit:e1a2488307d41a0c10e3d4912f735419fe730aba.

Comment 6 jcallaha 2014-11-14 19:09:08 UTC
*** This bug is verified in upstream. This fix should eventually land in future downstream builds ***
RHEL65 / RHEL7

Version Tested:
foreman-proxy-1.8.0-0.develop.201411121327gitab6edc2.el7.noarch
yttrium.idmqe.lab.eng.bos.redhat.com-foreman-proxy-1.0-1.noarch
foreman-gce-1.8.0-0.develop.201411131139git5cd6de6.el7.noarch
foreman-selinux-1.8.0-0.develop.201410280941git10de1c5.el7.noarch
foreman-vmware-1.8.0-0.develop.201411131139git5cd6de6.el7.noarch
foreman-release-1.8.0-0.develop.201411131139git5cd6de6.el7.noarch
ruby193-rubygem-foreman_discovery-1.4.0-2.el7.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3-2.201409091410git163c264.git.0.988ca80.el7.noarch
foreman-postgresql-1.8.0-0.develop.201411131139git5cd6de6.el7.noarch
ruby193-rubygem-foreman_docker-0.2.0-2.el7.noarch
rubygem-hammer_cli_foreman-0.1.3-1.201411121216git9381fc5.el7.noarch
foreman-1.8.0-0.develop.201411131139git5cd6de6.el7.noarch
foreman-ovirt-1.8.0-0.develop.201411131139git5cd6de6.el7.noarch
ruby193-rubygem-foreman-tasks-0.6.9-1.el7.noarch
foreman-libvirt-1.8.0-0.develop.201411131139git5cd6de6.el7.noarch
foreman-compute-1.8.0-0.develop.201411131139git5cd6de6.el7.noarch
ruby193-rubygem-foreman_bootdisk-4.0.0-1.el7.noarch
yttrium.idmqe.lab.eng.bos.redhat.com-foreman-client-1.0-1.noarch
ruby193-rubygem-foreman_hooks-0.3.7-2.el7.noarch

Comment 7 Bryan Kearney 2015-08-11 13:32:36 UTC
This bug is slated to be released with Satellite 6.1.

Comment 8 errata-xmlrpc 2015-08-12 05:09:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.